Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get workspace by slug

GET/workspaces/slug/{slug}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
slugstringrequired
Responses
200

Workspace

idstringrequired
namestringrequired
slugstringrequired
keystring | nullrequired
ownerIdstringrequired
defaultTeamIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/slug/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "name": "string",
  "slug": "string",
  "key": "string",
  "ownerId": "string",
  "defaultTeamId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?